VERSION 5.00
Begin VB.Form FormTimeRoutine 
   Caption         =   "Form1"
   ClientHeight    =   3390
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3585
   LinkTopic       =   "Form1"
   ScaleHeight     =   3390
   ScaleWidth      =   3585
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CommandStartTimer2 
      Caption         =   "Start Timer 2"
      Height          =   615
      Left            =   1440
      TabIndex        =   10
      Top             =   1320
      Width           =   1095
   End
   Begin VB.TextBox TextElapsedTime 
      Height          =   285
      Left            =   1200
      TabIndex        =   8
      Text            =   "Text3"
      Top             =   2520
      Width           =   1335
   End
   Begin VB.TextBox TextEndTime 
      Height          =   285
      Left            =   1200
      TabIndex        =   7
      Text            =   "Text2"
      Top             =   2280
      Width           =   1335
   End
   Begin VB.TextBox TextStartTime 
      Height          =   285
      Left            =   1200
      TabIndex        =   6
      Text            =   "Text1"
      Top             =   2040
      Width           =   1335
   End
   Begin VB.CommandButton CommandStartTimer1 
      Caption         =   "Start Timer 1"
      Height          =   615
      Left            =   120
      TabIndex        =   2
      Top             =   1320
      Width           =   1095
   End
   Begin VB.TextBox TextCycles 
      Height          =   285
      Left            =   1200
      TabIndex        =   0
      Text            =   "60000"
      Top             =   960
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Currently compares byte to single conversion methods.  Change comparison in source code."
      Height          =   615
      Left            =   120
      TabIndex        =   9
      Top             =   0
      Width           =   3135
   End
   Begin VB.Label LabelElapsedTime 
      Caption         =   "Elapsed Time"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   2520
      Width           =   975
   End
   Begin VB.Label LabelEndTime 
      Caption         =   "End Time"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   2280
      Width           =   975
   End
   Begin VB.Label LabelStartTime 
      Caption         =   "Start Time"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   2040
      Width           =   975
   End
   Begin VB.Label LabelCycles 
      Caption         =   "Cycles:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   960
      Width           =   615
   End
End
Attribute VB_Name = "FormTimeRoutine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetTickCount Lib "kernel32" () As Long

Private Sub CommandStartTimer1_Click()
  'These variables needed no matter what subroutine being timed
  Dim Cycles As Long
  Dim StartTime As Long
  Dim EndTime As Long
  Dim ElapsedTime As Long
  Dim ctr As Long
  
  'These variables specific to the subroutine being timed
  Dim byte1 As Byte
  Dim byte2 As Byte
  Dim byte3 As Byte
  Dim byte4 As Byte
  Dim float As Single
  
  'Initialize Timer
  Cycles = TextCycles.Text
  
  TextStartTime.Text = "Timing..."
  TextEndTime.Text = "Timing..."
  TextElapsedTime = "Timing..."
  
  DoEvents
  
  'Begin Timer
  StartTime = GetTickCount
  
  float = 33
  
  For ctr = 1 To Cycles
    Call ModuleByteConversion.ConvertSingleToBytes(float, byte1, byte2, byte3, byte4)
    Call ModuleByteConversion.ConvertBytesToSingle(byte1, byte2, byte3, byte4, float)
  Next ctr
  
  EndTime = GetTickCount
  
  ElapsedTime = EndTime - StartTime
  
  TextStartTime.Text = StartTime
  TextEndTime.Text = EndTime
  TextElapsedTime = ElapsedTime
  
End Sub

Private Sub CommandStartTimer2_Click()
  'These variables needed no matter what subroutine being timed
  Dim Cycles As Long
  Dim StartTime As Long
  Dim EndTime As Long
  Dim ElapsedTime As Long
  Dim ctr As Long
  
  'These variables specific to the subroutine being timed
  Dim byte1 As Byte
  Dim byte2 As Byte
  Dim byte3 As Byte
  Dim byte4 As Byte
  Dim float As Single
  
  'Initialize Timer
  Cycles = TextCycles.Text
  
  TextStartTime.Text = "Timing..."
  TextEndTime.Text = "Timing..."
  TextElapsedTime = "Timing..."
  
  DoEvents
  
  'Begin Timer
  StartTime = GetTickCount
  
  float = 33
  
  For ctr = 1 To Cycles
    Call ModuleByteConversionOld.ConvertSingleToBytes(float, byte1, byte2, byte3, byte4)
    Call ModuleByteConversionOld.ConvertBytesToSingle(byte1, byte2, byte3, byte4, float)
  Next ctr
  
  EndTime = GetTickCount
  
  ElapsedTime = EndTime - StartTime
  
  TextStartTime.Text = StartTime
  TextEndTime.Text = EndTime
  TextElapsedTime = ElapsedTime
  
End Sub

